| EM datagrams on *.kmall format Reg. nr. 410224 rev I

Data Fields
EMdgmSVP_def Struct Reference

#SVP - Sound Velocity Profile. Data from sound velocity profile or from CTD profile. Sound velocity is measured directly or estimated, respectively. More...

`#include <EMdgmFormat.h>`

Collaboration diagram for EMdgmSVP_def:
[legend]

## Data Fields
struct EMdgmHeader_def | header
uint16_t | numBytesCmnPart
uint16_t | numSamples
uint8_t | sensorFormat [4]
uint32_t | time_sec
double | latitude_deg
double | longitude_deg
struct EMdgmSVPpoint_def | sensorData [MAX_SVP_POINTS]

## Detailed Description

#SVP - Sound Velocity Profile. Data from sound velocity profile or from CTD profile. Sound velocity is measured directly or estimated, respectively.

Definition at line 457 of file EMdgmFormat.h.

## Field Documentation

## ◆ numBytesCmnPart

uint16_t numBytesCmnPart

Size in bytes of body part struct. Used for denoting size of rest of datagram.

Definition at line 460 of file EMdgmFormat.h.

## ◆ numSamples

uint16_t numSamples

Number of sound velocity samples.

Definition at line 461 of file EMdgmFormat.h.

## ◆ sensorFormat

uint8_t sensorFormat[4]

Sound velocity profile format:
'S00' = sound velocity profile
'S01' = CTD profile

Definition at line 463 of file EMdgmFormat.h.

## ◆ time_sec

uint32_t time_sec

Time extracted from the Sound Velocity Profile. Parameter is set to zero if not found.

Definition at line 466 of file EMdgmFormat.h.

## ◆ latitude_deg

double latitude_deg

Latitude in degrees. Negative if southern hemisphere. Position extracted from the Sound Velocity Profile. Parameter is set to define UNAVAILABLE_LATITUDE if not available.

Definition at line 468 of file EMdgmFormat.h.

## ◆ longitude_deg

double longitude_deg

Longitude in degrees. Negative if western hemisphere. Position extracted from the Sound Velocity Profile. Parameter is set to define UNAVAILABLE_LONGITUDE if not available.

Definition at line 470 of file EMdgmFormat.h.

## ◆ sensorData

struct EMdgmSVPpoint_def sensorData[MAX_SVP_POINTS]

SVP point samples, repeated numSamples times.

Definition at line 473 of file EMdgmFormat.h.

The documentation for this struct was generated from the following file:

- EMdgmFormat.h